/*
	filename - CFormLoadProject.h

	Purpose:
			 This file contains form for load project dialog.
*/
/*
History:
20. 3.2012 start of development
*/
//---------------------------------------------------------------------------

#ifndef CTFormLoadProjectH
#define CTFormLoadProjectH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TFormLoadProject : public TForm
{
__published:	// IDE-managed Components
	TLabel *LabelProjectFile;
	TEdit *EditProjectFile;
	TButton *ButtonlProjectFile;
	TOpenDialog *OpenDialogLoadProject;
	TGroupBox *GroupBoxAdditionalParameters;
	TCheckBox *CheckBoxCheckModules;
	TGroupBox *GroupBoxJobIdentification;
	TLabel *LabelOperatorID;
	TLabel *LabelJobID;
	TEdit *EditOperatorID;
	TEdit *EditJobID;
	TGroupBox *GroupBoxProjectPassword;
	TLabel *LabelProjectPassword;
	TEdit *EditProjectPassword;
	TGroupBox *GroupBoxProjectUniqueID;
	TLabel *LabelProjectUniqueID;
	TLabel *LabelHexadecimal;
	TEdit *EditProjectUniqueID;
	TButton *ButtonOK;
	TButton *ButtonCancel;
	void __fastcall ButtonlProjectFileClick(TObject *Sender);
	void __fastcall ButtonOKClick(TObject *Sender);
	void __fastcall ButtonCancelClick(TObject *Sender);
private:	// User declarations
	void SetDefaultAdditionalParameter();
public:		// User declarations
	__fastcall TFormLoadProject(TComponent* Owner);
	
	void GetParameter(bool &CheckModules, AnsiString &ProjectFile, AnsiString &JobOperatorID, AnsiString &JobID, AnsiString &ProjectPassword, AnsiString &UniqueID);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormLoadProject *FormLoadProject;
//---------------------------------------------------------------------------
#endif
