
#pragma hdrstop

#include "CTPusherSprite.h"

__fastcall TPusherSprite::TPusherSprite(const long int Left, const long int Top, Graphics::TBitmap *pBitmapEmpty, Graphics::TBitmap *pBitmapFull)
	: TSprite(Left, Top)
{
	FPusherState = tPEmpty;
	this->pBitmapEmpty = pBitmapEmpty;
	this->pBitmapFull = pBitmapFull;
}

int TPusherSprite::GetWidth()
{
	return pBitmapEmpty->Width;
}

void TPusherSprite::Paint(TCanvas *pCanvas)
{
	switch (FPusherState)
	{
		case tPEmpty: pCanvas->Draw(Left, Top, pBitmapEmpty); break;
		case tPFull : pCanvas->Draw(Left, Top, pBitmapFull); break;
	}
}

#pragma package(smart_init)
