/*
	filename - VUH.cpp

	Purpose:
			 Project Virtual Universal Handler (VUH).

	Version: 1.3 04.05.2012
*/
/*
History:
21.01.2019 version 1.11
18.06.2012 version 1.4
04.05.2012 version 1.3
21.03.2012 version 1.2
13.02.2012 version 1.1
28.03.2011 version 1.0
 1.10.2010 start of development
*/
//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("CTFormVUH.cpp", FormVUH);
USEFORM("CTFormOperationalResult.cpp", FormOperationalResult);
USEFORM("CTFormLoadProject.cpp", FormLoadProject);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		Application->CreateForm(__classid(TFormVUH), &FormVUH);
		Application->CreateForm(__classid(TFormLoadProject), &FormLoadProject);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
