﻿/*
	filename - FormOperationalResult.cs

	Purpose:
			 This file contains form for semiautomatic mode.
*/
/*
History:
1.10.2010 start of development
*/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace VUH
{
    public partial class FormOperationalResult : Form
    {
        private bool bSetButtonFocusAccordingToOperationResult;

        public FormOperationalResult()
        {
            InitializeComponent();

            bSetButtonFocusAccordingToOperationResult = true;
        }

        private void FormOperationalResult_Shown(object sender, EventArgs e)
        {
            if (bSetButtonFocusAccordingToOperationResult == true)
                buttonSuccess.Focus();
            else
                buttonFail.Focus();
        }

        private void buttonSuccess_Click(object sender, EventArgs e)
        {
            Close();
            
            DialogResult = DialogResult.Yes;
        }

        private void buttonFail_Click(object sender, EventArgs e)
        {
            Close();
            
            DialogResult = DialogResult.No;
        }

        public void SetButtonFocus(bool operationResult)
        {
            bSetButtonFocusAccordingToOperationResult = operationResult;
        }
    }
}
