﻿/*
	filename - Sprite.cs

	Purpose:
			 This file contains base class for sprite graphics.
*/
/*
History (dd.mm.yy):
1.10.2010 start of development
*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace VUH
{
    public abstract class Sprite
    {
        protected int left, top;

        public Sprite(int left, int top)
        {
            this.left = left; this.top = top;
        }
        public void SetPosition(int left, int top)
        {
            this.left = left;
            this.top = top;
        }
        public Point GetPosition()
        {            
            return new Point(left, top);
        }
        public abstract void Paint(ref Graphics canvas);
    }
}
