
#pragma hdrstop

#include "CTDedicatedDriver.h"

__fastcall TDedicatedDriver::TDedicatedDriver(const TLogProcedure pLogProcedureArg)
{
	pLogProcedure = pLogProcedureArg;
}

__fastcall TDedicatedDriver::~TDedicatedDriver()
{
}

bool TDedicatedDriver::HandlerActive()
{
	pLogProcedure("DedicatedDriver.IsHandlerActive");
	// type source code for implementation of action ReconfigureHandler of dedicated driver
	// ...

	return true;
}

bool TDedicatedDriver::MovePusher(const int NewPositionIndex, const int ANumberSites)
{
	// handler NewPositionIndex is in following order
	//                 |Site #1|Site#2| ... |Site#ANumberSites|   ReelIn   |  ReelOutOK   |  ReelOutBad  |
	//NewPositionIndex |   0   |   1  |     | ANumberSites-1  |ANumberSites|ANumberSites+1|ANumberSites+2|
	pLogProcedure("DedicatedDriver.MovePusher(" + IntToStr((unsigned)NewPositionIndex) + ", " + IntToStr((unsigned)ANumberSites) + ")");

	// type here source code for implementation of action MovePusher of dedicated driver
	// ...

	return true;
}

bool TDedicatedDriver::PullDeviceByPusher()
{
	pLogProcedure("DedicatedDriver.PullDeviceByPusher");
	// type here source code for implementation of action PullDeviceByPusher of dedicated driver
	// ...

	return true;
}

bool TDedicatedDriver::DropDeviceByPusher()
{
	pLogProcedure("DedicatedDriver.DropDeviceByPusher");
	// type here source code for implementation of action DropDeviceByPusher of dedicated driver
	// ...

	return true;
}

bool TDedicatedDriver::InsertDeviceToSocket(const int Index)
{
	pLogProcedure("DedicatedDriver.InsertDeviceToSocket(" + IntToStr((unsigned)Index + 1) + ")");
	// type here source code for implementation of action InsertDeviceToSocket of dedicated driver
	// ...

	return true;
}

bool TDedicatedDriver::RemoveDeviceFromSocket(const int Index)
{
	pLogProcedure("DedicatedDriver.RemoveDeviceFromSocket(" + IntToStr((unsigned)Index + 1) + ")");
	// type here source code for implementation of action RemoveDeviceFromSocket of dedicated driver
	// ...

	return true;
}

#pragma package(smart_init)
