/*
	filename - CTFormOperationalResult.h

	Purpose:
			 This file contains form for semiautomatic mode.
*/
/*
History:
1.10.2010 start of development
*/
//---------------------------------------------------------------------------

#ifndef CTFormOperationalResultH
#define CTFormOperationalResultH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TFormOperationalResult : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TButton *ButtonSuccess;
	TButton *ButtonFail;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall ButtonSuccessClick(TObject *Sender);
	void __fastcall ButtonFailClick(TObject *Sender);
private:	// User declarations
	bool bSetButtonFocusAccordingToOperationResult;
public:		// User declarations
	__fastcall TFormOperationalResult(TComponent* Owner);
	void SetButtonFocus(bool OperationResult);
};
//---------------------------------------------------------------------------
#endif
