/*
	filename - CTSprite.h

	Purpose:
			 This file contains base class for sprite graphics.
*/
/*
History (dd.mm.yy):
1.10.2010 start of development
*/

#ifndef CTSpriteH
#define CTSpriteH

#include <Graphics.hpp>

class TSprite : public TObject
{
protected:	// User declarations
	long int Left, Top;

public:		// User declarations
	__fastcall TSprite(const long int Left, const long int Top);
	void SetPosition(const long int Left, const long int Top);
	TPoint GetPosition(void);
	virtual void Paint(TCanvas *pCanvas) = 0;
};

#endif
