/*
	filename - CTStatistics.h

	Purpose:
			 This file contains statistics functions.
*/
/*
History (dd.mm.yy):
1.10.2010 start of development
*/

#ifndef CTStatisticsH
#define CTStatisticsH

#include <SysUtils.hpp>

class TStatistics
{
private:	// User declarations
	int Good,
			AdapterTestFailure, InsertionTestFailure, IDCheckFailure, AccessCanceledByUserFailure, OtherFailure /*prog. SW, HW*/,
			OperationalFailure;

public:		// User declarations
	__fastcall TStatistics();

	void Reset();
	void IncrementByResult(const int ResultCode);
	int GetGood();
	int GetErrors();
	int GetTotal();
	AnsiString GetState();
};

#endif
